# /user

{% hint style="info" %}
This endpoint supports the [Exclude](/exclude-header.md) header
{% endhint %}

### Endpoint Headers:

* user-id - ID of the user to be fetched <mark style="color:orange;">**\[Snowflake]**</mark> (<mark style="color:red;">**Required**</mark>)&#x20;
* apikey - Your Api Auth Key <mark style="color:orange;">**\[String]**</mark> (<mark style="color:red;">**Required**</mark>)

### Examples:

{% hint style="info" %}
Data API version required. Must replace `<version>` with either **release** or **beta**.
{% endhint %}

<details>

<summary>Bot Designer for Discord</summary>

Example usage of `/user` endpoint using BDFD

```bash
$httpAddHeader[apikey;<YOUR-API-KEY>]
$httpAddHeader[user-id;672215920558604332] $c[Optional Header]
$httpGet[https://bdfddata.rickyjs.xyz/<version>/user]


$httpResult OR $httpResult[details]
```

</details>

<details>

<summary>Discord.js</summary>

Example usage of `/user` endpoint using Discord.js

```javascript
const axios = require('axios');
(async () => {
return await axios.get('https://bdfddata.rickyjs.xyz/<version>/user', { 
headers: {
'user-id': '672215920558604332'
}
}).then(res=>res.data)
})()
```

</details>

### Possible Responses (Codes)

<details>

<summary>Code 200</summary>

API succeeded and details were fetched.

```javascript
{
  status: 200,
  details: {
    id: '672215920558604332',
    username: 'Rickყ',
    avatar: 'https://cdn.discordapp.com/avatars/672215920558604332/a_c523e3eea9c69f64e8eca89e07069bd5.gif',
    avatar_decoration: 'https://cdn.discordapp.com/avatar-decorations/672215920558604332/a_ec7e6bb6c0c96acf4eb1ce04bc4ce727',
    discriminator: '2006',
    public_flags: [ 'HypeSquadOnlineHouse3', 'ActiveDeveloper', 'NitroSubscriber' ],
    banner: 'https://cdn.discordapp.com/banners/672215920558604332/a_b5f4570a74c801aa3b39f35e07fe93fd.gif',
    banner_color: '4a74d8',
    accent_color: 4879576,
    tag: 'Rickყ#2006'
  }
}
```

</details>

<details>

<summary>Code 400</summary>

An error occurred that stopped execution.

```javascript
{
    status: 400
    error: 'Cannot read ...  (This can vary)'
}
```

</details>

<details>

<summary>Code 404</summary>

Invalid bot token was provided.{

```javascript
  status: 404,
  error: 'User cannot be found'
}
```

</details>


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://dadocs.rickyjs.xyz/endpoints/user.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
